# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /aggregate/r-igraph-feedstock/recipe, last modified Fri Sep 22 00:42:18 2023
# ------------------------------------------------

package:
  name: r-igraph
  version: 1.5.1
source:
  sha256: add90a1e77ad4a5d95641f0556553e3f1d1c4443cb2d5afb70171efd278ab14a
  url:
    - https://cran.r-project.org/src/contrib/Archive/igraph/igraph_1.5.1.tar.gz
    - https://cran.r-project.org/src/contrib/igraph_1.5.1.tar.gz
build:
  number: '0'
  rpaths:
    - lib/
    - lib/R/lib/
  string: r43hb5eb8f6_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - autoconf 2.71 pl5340h5eee18b_0
    - automake 1.16.5 pl5340h06a4308_1
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gdbm 1.18 hd4cb3f1_4
    - gfortran_impl_linux-64 11.2.0 h1234567_1
    - gfortran_linux-64 11.2.0 hc2dff05_0
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - m4 1.4.18 h4e445db_0
    - make 4.2.1 h1bed415_1
    - ncurses 6.4 h6a678d5_0
    - perl 5.34.0 h5eee18b_2
    - pkg-config 0.29.2 h1bed415_8
    - readline 8.2 h5eee18b_0
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _r-mutex 1.0.0 anacondar_1
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - blas 1.0 openblas
    - bwidget 1.9.11 1
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.19.1 h5eee18b_0
    - ca-certificates 2023.08.22 h06a4308_0
    - cairo 1.16.0 hb05425b_5
    - curl 8.2.1 hdbd6064_0
    - expat 2.5.0 h6a678d5_0
    - fontconfig 2.14.1 h4c34cd2_2
    - freetype 2.12.1 h4a9f257_0
    - fribidi 1.0.10 h7b6447c_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gfortran_impl_linux-64 11.2.0 h1234567_1
    - gfortran_linux-64 11.2.0 hc2dff05_0
    - glib 2.69.1 he621ea3_2
    - graphite2 1.3.14 h295c915_1
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - harfbuzz 4.3.0 hf52aaf7_2
    - icu 73.1 h6a678d5_0
    - jpeg 9e h5eee18b_1
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - krb5 1.20.1 h143b758_1
    - ld_impl_linux-64 2.38 h1181459_1
    - lerc 3.0 h295c915_0
    - libcurl 8.2.1 h251f7ec_0
    - libdeflate 1.17 h5eee18b_0
    - libedit 3.1.20221030 h5eee18b_0
    - libev 4.33 h7f8727e_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran-ng 11.2.0 h00389a5_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.52.0 h2d74bed_1
    - libopenblas 0.3.21 h043d6bf_0
    - libpng 1.6.39 h5eee18b_0
    - libssh2 1.10.0 hdbd6064_2
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libtiff 4.5.1 h6a678d5_0
    - libuuid 1.41.5 h5eee18b_0
    - libwebp-base 1.3.2 h5eee18b_0
    - libxcb 1.15 h7f8727e_0
    - libxml2 2.10.4 hf1b16e4_1
    - lz4-c 1.9.4 h6a678d5_0
    - make 4.2.1 h1bed415_1
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.11 h7f8727e_2
    - pango 1.50.7 h05da053_0
    - pcre 8.45 h295c915_0
    - pcre2 10.42 hebb0a14_0
    - pixman 0.40.0 h7f8727e_1
    - r-base 4.3.1 h1ae530e_0
    - r-cli 3.6.1 r43h884c59f_0
    - r-cpp11 0.4.6 r43h6115d3f_0
    - r-glue 1.6.2 r43h76d94ec_0
    - r-lattice 0.21_8 r43h76d94ec_0
    - r-lifecycle 1.0.3 r43h142f84f_0
    - r-magrittr 2.0.3 r43h76d94ec_0
    - r-matrix 1.6_1.1 r43h76d94ec_0
    - r-pkgconfig 2.0.3 r43h6115d3f_0
    - r-rlang 1.1.1 r43h884c59f_0
    - readline 8.2 h5eee18b_0
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.12 h1ccaba5_0
    - tktable 2.10 h14c3975_0
    - xz 5.4.2 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
    - zstd 1.5.5 hc292b87_0
  run:
    - libgcc-ng >=11.2.0
    - libgfortran-ng
    - libgfortran5 >=11.2.0
    - libstdcxx-ng >=11.2.0
    - r-base >=4.3,<4.4.0a0
    - r-cli
    - r-cpp11 >=0.2.0
    - r-lifecycle
    - r-magrittr
    - r-matrix
    - r-pkgconfig >=2.0.0
    - r-rlang
test:
  commands:
    - $R -e "library('igraph')"
about:
  home: https://r.igraph.org/, https://igraph.org/, https://igraph.discourse.group/
  license: GPL-2
  license_family: GPL2
  license_file:
    - /workspace/croot/r-igraph_1695442450317/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/lib/R/share/licenses/GPL-2
  summary: Routines for simple graphs and network analysis. It can handle large graphs
    very well and provides functions for generating random and regular graphs, graph
    visualization, centrality methods and much more.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - bgruening
    - johanneskoester
    - mingwandroid
